!define LONGNAME "Konnekt - Portable Edition"
!define FULLNAME "Konnekt Portable"
!define NAME "KonnektPortable"

SetCompressor /SOLID lzma


;=== Program Details
Name "${NAME}"
OutFile "..\${NAME}.exe"

;=== Runtime Switches
CRCCheck On
WindowIcon Off
SilentInstall Silent
AutoCloseWindow True
;=== Include

!include "GetParameters.nsh"

;=== Program Icon
Icon "${NAME}.ico"

Var COMPUTERNAME
Var USERNAME
Section "Main"

ReadEnvStr $COMPUTERNAME COMPUTERNAME
ReadEnvStr $USERNAME USERNAME

	CreateDirectory "$EXEDIR\data"
	CreateDirectory "$TEMP\konnekt"
	IfFileExists "$EXEDIR\konnekt" OK ERROR
  
ERROR:

	MessageBox MB_OK "Brakuje wypakowanego konnekta w katalogu $EXEDIR\konnekt"
	Quit
OK:

	ReadINIStr $3 "$EXEDIR\settings.ini" "konnekt" "OrginalProfilesDirOnComputerName_$COMPUTERNAME_OnUsername_$USERNAME" ;odczyt orginalnej wartosci
	StrCmp $3 "" DONTWRITEORGINAL  ; Sprawdzanie wartoci  jesli pusta to nie wykonuje kolejnej liniki bo by zapisa tam Pust wrtoc
	WriteRegStr HKCU "Software\Stamina\Konnekt" "ProfilesDir" "$3" ;Wpzypadku gdyby komu komp zawiesi tutaj  jest naprawiany rejestr z orginaln wrtocia
DONTWRITEORGINAL:

	ReadRegStr $1 HKCU  "Software\Stamina\Konnekt" "ProfilesDir"
	;MessageBox MB_OK $1
	WriteINIStr "$EXEDIR\settings.ini" "konnekt" "OrginalProfilesDirOnComputerName_$COMPUTERNAME_OnUsername_$USERNAME" "$1" 


	
	Call GetParameters
	Pop $0
	SetOutPath	"$EXEDIR\Konnekt"
	;MessageBox MB_OK '"$EXEDIR\konnekt.exe" $0  -profile=? -profilesdir="$EXEDIR\data" -logpath="$TEMP\konnekt_log"' 
	ExecWait '"$EXEDIR\konnekt\konnekt.exe" $0 -profile=? -profilesdir="$EXEDIR\data" -logpath="$TEMP\konnekt"' ;uruchamianie konnekta i czakeanie na zakonczenie programu
	
	WriteRegStr HKCU "Software\Stamina\Konnekt" "ProfilesDir" "$1" ; wpisywanie poprzedniej wartosci

	

SectionEnd